> ## Documentation Index
> Fetch the complete documentation index at: https://developers.logicgate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a paginated list of fields from a particular workflow

> Given a workflowId and FieldRequest, get a pageable list of all matching fields from that workflow. Pageable parameters can be added as a request param in the url.



## OpenAPI

````yaml GET /api/v1/fields/workflow/{workflowId}
openapi: 3.1.0
info:
  title: Risk Cloud API
  description: >-
    The Risk Cloud API is a collection of RESTful API endpoints that empower you
    and your team to directly integrate, automate, and build with the Risk
    Cloud. Risk Cloud API endpoint payloads are JSON based, with some endpoints
    supporting exports in CSV and XSLX formats for flexible integration.


    This API documentation showcases our Risk Cloud API v1, containing a variety
    of endpoints with continued support for enabling integrations with the Risk
    Cloud.


    Visit the [LogicGate Risk Cloud Developer
    Portal](https://www.logicgate.com/developer/) to get started with building
    your custom integration with quick start guides, usage guides, release
    notes, and more. Or download the [v1 OpenAPI
    specification](/legacy-openapi.json).


    Explore our [Risk Cloud API v2](https://docs.logicgate.com/v2/index.html)
    endpoints and documentation as well. [Risk Cloud API
    v2](https://docs.logicgate.com/v2/index.html) is our collection of API-First
    endpoints that are tailor made for our developer users, offer concise and
    highly documented details, are supported by a [Postman
    collection](https://www.postman.com/logicgate-postman/workspace/logicgate-risk-cloud-api/collection/29257227-de8d264b-6eeb-4177-bea6-2da0a8cabffc)
    and [v2 OpenAPI specification](https://github.com/LogicGateTech/openapi),
    and contain our latest API endpoint releases.
  contact:
    name: developer-relations@logicgate.com
    email: developer-relations@logicgate.com
  version: v2026.11.0
servers:
  - url: https://{subdomain}.logicgate.com
    description: Your Risk Cloud environment.
    variables:
      subdomain:
        description: Your Risk Cloud environment's subdomain (e.g. `qa`).
        default: your-instance
security:
  - ApiToken: []
  - basic: []
tags:
  - name: Authentication
    description: >-
      Getting Started: How to create an [API Access
      Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
      to begin integrating with the Risk Cloud API
  - name: Attachment
    description: Endpoints for uploading, downloading, and retrieving record attachments.
  - name: Field
    description: Endpoints for creating, updating, and querying fields.
  - name: Principal
    description: >-
      Endpoints for the authenticated principal to view and manage their own
      details.
  - name: Record Audit
    description: Endpoints for retrieving record audit history and productivity data.
  - name: Step
    description: Endpoints for retrieving steps and the steps a user can access.
  - name: Table Report
    description: Endpoints for retrieving and managing table reports.
  - name: User Group
    description: Endpoints for managing user groups and their membership.
externalDocs:
  description: Developer Portal
  url: https://www.logicgate.com/developer/
paths:
  /api/v1/fields/workflow/{workflowId}:
    get:
      tags:
        - Field
      summary: Return a paginated list of fields from a particular workflow.
      description: >-
        Given a workflowId and FieldRequest, get a pageable list of all matching
        fields from that workflow. Pageable parameters can be added as a request
        param in the url.
      operationId: findByWorkflow_1
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
        - name: ids
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: sectionId
          in: query
          required: false
          schema:
            type: string
        - name: nodeId
          in: query
          required: false
          schema:
            type: string
        - name: stepId
          in: query
          required: false
          schema:
            type: string
        - name: workflowId
          in: query
          required: false
          schema:
            type: string
        - name: applicationId
          in: query
          required: false
          schema:
            type: string
        - name: query
          in: query
          required: false
          schema:
            type: string
        - name: global
          in: query
          required: false
          schema:
            type: boolean
        - name: archived
          in: query
          required: false
          schema:
            type: boolean
        - name: exclude
          in: query
          required: false
          schema:
            type: boolean
        - name: withValues
          in: query
          required: false
          schema:
            type: boolean
        - name: withLabels
          in: query
          required: false
          schema:
            type: boolean
        - name: withInputs
          in: query
          required: false
          schema:
            type: boolean
        - name: withTargets
          in: query
          required: false
          schema:
            type: boolean
        - name: allowCurrentDateCalculations
          in: query
          required: false
          schema:
            type: boolean
        - name: types
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - TEXT
                - EXTERNAL_USER
                - EXTERNAL_ID
                - TEXT_AREA
                - DATE_PICKER
                - NUMBER
                - E_SIGNATURE
                - CHECKBOX
                - MULTI_SELECT
                - RADIO
                - SELECT
                - USER
                - ATTACHMENT
                - CALCULATION
                - TEXT_CONCATENATION
                - FIXED_DATE_CALCULATION
                - LINKED_RECORDS_COUNT
                - DUE_DATE
                - DAYS_UNTIL_DUE
                - EVIDENCE
                - AEC_INFO
                - ANNUAL_LOSS_EXPOSURE
        - name: pageable
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Pageable_ChildrenFieldSummary'
        - name: page
          in: query
          description: Results page you want to retrieve (0..N)
          required: true
          schema:
            type: integer
            format: int32
        - name: size
          in: query
          description: Number of records per page.
          required: true
          schema:
            type: integer
            format: int32
        - name: sort
          in: query
          description: >-
            Sorting criteria in the format: property(,asc|desc). Default sort
            order is ascending. Multiple sort criteria are supported.
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageField_ChildrenFieldSummary'
components:
  schemas:
    Pageable_ChildrenFieldSummary:
      type: object
      properties:
        paged:
          type: boolean
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        sort:
          $ref: '#/components/schemas/SortObject_ChildrenFieldSummary'
        unpaged:
          type: boolean
        offset:
          type: integer
          format: int64
    PageField_ChildrenFieldSummary:
      type: object
      properties:
        totalElements:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
        first:
          type: boolean
        last:
          type: boolean
        numberOfElements:
          type: integer
          format: int32
        pageable:
          $ref: '#/components/schemas/Pageable_ChildrenFieldSummary'
        sort:
          $ref: '#/components/schemas/SortObject_ChildrenFieldSummary'
        size:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/Field_ChildrenFieldSummary'
        number:
          type: integer
          format: int32
        empty:
          type: boolean
    SortObject_ChildrenFieldSummary:
      type: object
      properties:
        sorted:
          type: boolean
        unsorted:
          type: boolean
        empty:
          type: boolean
    Field_ChildrenFieldSummary:
      type: object
      description: >-
        An entity used to manage input fields used to capture record data for
        different workflows.
      discriminator:
        propertyName: fieldType
      oneOf:
        - $ref: '#/components/schemas/Text_ChildrenFieldSummary'
        - description: >-
            And other types: ExternalUser_ChildrenFieldSummary,
            ExternalId_ChildrenFieldSummary, TextArea_ChildrenFieldSummary,
            DatePicker_ChildrenFieldSummary, Number_ChildrenFieldSummary,
            ESignature_ChildrenFieldSummary, Checkbox_ChildrenFieldSummary,
            MultiSelect_ChildrenFieldSummary, Radio_ChildrenFieldSummary,
            Select_ChildrenFieldSummary, Attachment_ChildrenFieldSummary,
            User_ChildrenFieldSummary, Evidence_ChildrenFieldSummary,
            Calculation_ChildrenFieldSummary,
            FixedDateCalculation_ChildrenFieldSummary,
            LinkedRecordsCount_ChildrenFieldSummary,
            DueDate_ChildrenFieldSummary,
            TransientFieldDaysUntilDue_ChildrenFieldSummary,
            AnnualLossExposure_ChildrenFieldSummary,
            AecInfo_ChildrenFieldSummary, Text_ChildrenFieldSummary,
            ExternalUser_ChildrenFieldSummary, ExternalId_ChildrenFieldSummary,
            TextArea_ChildrenFieldSummary, DatePicker_ChildrenFieldSummary,
            Number_ChildrenFieldSummary, ESignature_ChildrenFieldSummary,
            Checkbox_ChildrenFieldSummary, MultiSelect_ChildrenFieldSummary,
            Radio_ChildrenFieldSummary, Select_ChildrenFieldSummary,
            Attachment_ChildrenFieldSummary, User_ChildrenFieldSummary,
            Evidence_ChildrenFieldSummary, Calculation_ChildrenFieldSummary,
            TextConcatenation_ChildrenFieldSummary,
            FixedDateCalculation_ChildrenFieldSummary,
            LinkedRecordsCount_ChildrenFieldSummary,
            DueDate_ChildrenFieldSummary,
            TransientFieldDaysUntilDue_ChildrenFieldSummary,
            AnnualLossExposure_ChildrenFieldSummary,
            AecInfo_ChildrenFieldSummary
      properties:
        id:
          type: string
        fieldType:
          type: string
          enum:
            - TEXT
            - EXTERNAL_USER
            - EXTERNAL_ID
            - TEXT_AREA
            - DATE_PICKER
            - NUMBER
            - E_SIGNATURE
            - CHECKBOX
            - MULTI_SELECT
            - RADIO
            - SELECT
            - USER
            - ATTACHMENT
            - CALCULATION
            - TEXT_CONCATENATION
            - FIXED_DATE_CALCULATION
            - LINKED_RECORDS_COUNT
            - DUE_DATE
            - DAYS_UNTIL_DUE
            - EVIDENCE
            - AEC_INFO
            - ANNUAL_LOSS_EXPOSURE
        name:
          type: string
          description: The name of the field.
        labels:
          type: array
          items:
            type: string
          uniqueItems: true
        label:
          type: string
          description: >-
            The label will appear as the label for the field when it appears on
            forms for user's to complete.
        tooltip:
          type: string
          description: A text value that will populate any tooltip information.
        helpText:
          type: string
          description: >-
            A text value that supplies necessary context for a person to fill
            out an input field.
        format:
          type: string
          enum:
            - CURRENCY
            - DECIMAL
        currency:
          type: string
          enum:
            - EUR
            - GBP
            - USD
        enabledForRecordAccess:
          type: boolean
        currentValues:
          type: array
          description: >-
            Relationship to current values that are associated to the field. A
            field maybe have multiple current values associated to it.
          items:
            $ref: '#/components/schemas/CurrentValue_ChildrenFieldSummary'
        defaultValues:
          type: array
          description: >-
            Relationship to current values that are defaulted to the field. A
            field maybe have multiple default current values associated to it.
          items:
            $ref: '#/components/schemas/CurrentValue_ChildrenFieldSummary'
        analysisEstimate:
          type: string
          enum:
            - CONFIDENCE
            - MAXIMUM
            - MINIMUM
            - MOST_LIKELY
        analysisType:
          type: string
          enum:
            - CONTACT_FREQUENCY
            - LOSS_EVENT_FREQUENCY
            - LOSS_MAGNITUDE
            - PRIMARY_PRODUCTIVITY_LOSS
            - PRIMARY_RESPONSE_LOSS
            - PRIMARY_REPLACEMENT_LOSS
            - PRIMARY_COMPETITIVE_ADVANTAGE_LOSS
            - PRIMARY_FINES_OR_JUDGEMENTS_LOSS
            - PRIMARY_REPUTATION_DAMAGE_LOSS
            - PROBABILITY_OF_ACTION
            - RESISTANCE_STRENGTH
            - SECONDARY_PRODUCTIVITY_LOSS
            - SECONDARY_RESPONSE_LOSS
            - SECONDARY_REPLACEMENT_LOSS
            - SECONDARY_COMPETITIVE_ADVANTAGE_LOSS
            - SECONDARY_FINES_OR_JUDGEMENTS_LOSS
            - SECONDARY_REPUTATION_DAMAGE_LOSS
            - SECONDARY_LOSS_EVENT_FREQUENCY
            - SECONDARY_LOSS_MAGNITUDE
            - THREAT_CAPABILITY
            - THREAT_EVENT_FREQUENCY
            - VULNERABILITY
        operators:
          type: array
          items:
            type: string
            enum:
              - EQUALS
              - NOT_EQUALS
              - IS
              - IS_NOT
              - GREATER_THAN
              - GREATER_THAN_EQUALS
              - LESS_THAN
              - LESS_THAN_EQUALS
              - CONTAINS
              - DOES_NOT_CONTAIN
              - 'NULL'
              - NOT_NULL
              - DATE_RANGE
              - NUMERIC_RANGE
        convertibleTo:
          type: array
          items:
            type: string
        copyRecordAccessField:
          type: boolean
        currencyForNumberDisplayingFields:
          description: Circular reference to Field_ChildrenFieldSummary
          writeOnly: true
        valueType:
          type: string
        global:
          type: boolean
        requiresUniqueValue:
          type: boolean
        parameterizedCurrentValues:
          type: array
          items:
            $ref: '#/components/schemas/CurrentValueObject_ChildrenFieldSummary'
          writeOnly: true
        analysisOutputField:
          type: boolean
        discrete:
          type: boolean
        currentValuesFromOtherField:
          description: Circular reference to Field_ChildrenFieldSummary
          writeOnly: true
        formatForNumberDisplayingFields:
          description: Circular reference to Field_ChildrenFieldSummary
          writeOnly: true
        crossWorkflowCalculation:
          type: boolean
        validTypeForCalculationInput:
          type: boolean
      required:
        - analysisEstimate
        - analysisType
        - convertibleTo
        - copyRecordAccessField
        - currency
        - currentValues
        - defaultValues
        - enabledForRecordAccess
        - fieldType
        - format
        - helpText
        - id
        - label
        - labels
        - name
        - operators
        - tooltip
    Text_ChildrenFieldSummary:
      allOf:
        - description: Circular reference to Field_ChildrenFieldSummary
      required:
        - fieldType
    CurrentValue_ChildrenFieldSummary:
      type: object
      description: Entity used to manage record's field data.
      discriminator:
        propertyName: discriminator
      oneOf:
        - $ref: '#/components/schemas/CurrentCommonValue_ChildrenFieldSummary'
        - description: >-
            And other types: CurrentDateValue_ChildrenFieldSummary,
            CurrentDateRangeValue_ChildrenFieldSummary,
            CurrentJobValue_ChildrenFieldSummary,
            CurrentCommonValue_ChildrenFieldSummary,
            CurrentDateValue_ChildrenFieldSummary,
            CurrentDateRangeValue_ChildrenFieldSummary,
            LabelValue_ChildrenFieldSummary,
            CleanAttachment_ChildrenFieldSummary,
            DirtyAttachment_ChildrenFieldSummary,
            PendingAttachment_ChildrenFieldSummary,
            CurrentGoogleAttachmentValue_ChildrenFieldSummary,
            CurrentSharepointAttachmentValue_ChildrenFieldSummary,
            Active_ChildrenFieldSummary, Automated_ChildrenFieldSummary,
            Disabled_ChildrenFieldSummary, External_ChildrenFieldSummary,
            Locked_ChildrenFieldSummary, Service_ChildrenFieldSummary,
            CurrentNumericRangeValue_ChildrenFieldSummary,
            CurrentJobValue_ChildrenFieldSummary
      properties:
        id:
          type: string
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - archived
        - discriminator
        - id
        - isDefault
        - numericValue
        - priority
        - textValue
        - userGroup
        - valueType
    CurrentValueObject_ChildrenFieldSummary:
      type: object
      description: Entity used to manage record's field data.
      discriminator:
        propertyName: discriminator
      oneOf:
        - $ref: '#/components/schemas/CurrentCommonValue_ChildrenFieldSummary'
        - description: >-
            And other types: CurrentDateValue_ChildrenFieldSummary,
            CurrentDateRangeValue_ChildrenFieldSummary,
            CurrentJobValue_ChildrenFieldSummary,
            CurrentCommonValue_ChildrenFieldSummary,
            CurrentDateValue_ChildrenFieldSummary,
            CurrentDateRangeValue_ChildrenFieldSummary,
            LabelValue_ChildrenFieldSummary,
            CleanAttachment_ChildrenFieldSummary,
            DirtyAttachment_ChildrenFieldSummary,
            PendingAttachment_ChildrenFieldSummary,
            CurrentGoogleAttachmentValue_ChildrenFieldSummary,
            CurrentSharepointAttachmentValue_ChildrenFieldSummary,
            Active_ChildrenFieldSummary, Automated_ChildrenFieldSummary,
            Disabled_ChildrenFieldSummary, External_ChildrenFieldSummary,
            Locked_ChildrenFieldSummary, Service_ChildrenFieldSummary,
            CurrentNumericRangeValue_ChildrenFieldSummary,
            CurrentJobValue_ChildrenFieldSummary
      properties:
        id:
          type: string
        valueType:
          type: string
        discriminator:
          type: string
        textValue:
          type: string
        numericValue:
          type: number
          format: double
        isDefault:
          type: boolean
        archived:
          type: boolean
        priority:
          type: integer
          format: int32
        userGroup:
          type: string
          description: usergroup
        fieldId:
          type: string
        idOrTransientId:
          type: string
        transientIdOrId:
          type: string
        textOrNumericValue:
          type: string
        empty:
          type: boolean
      required:
        - archived
        - discriminator
        - id
        - isDefault
        - numericValue
        - priority
        - textValue
        - userGroup
        - valueType
    CurrentCommonValue_ChildrenFieldSummary:
      allOf:
        - description: Circular reference to CurrentValue_ChildrenFieldSummary
      required:
        - description
        - guidance
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer
      bearerFormat: API Token
    basic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.